/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

/**
 * Implementation specific constants. The NS constants point to the currently supported
 * namespace versions.
 */
public interface NamespaceConstants
{

   /**
    * DOCUMENT_ME
    */
   String NSURI_APACHE_WS_RESOURCE = "http://ws.apache.org/resource";

   /**
    * DOCUMENT_ME
    */
   String NSPREFIX_APACHE_WS_RESOURCE = "wsrf";

   /**
    * DOCUMENT_ME
    */
   String NSURI_GLOBUS_CORE = "http://www.globus.org/namespaces/2004/06/core";

}