/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.query;


/**
 * Indicates the Query Expression failed during evaluation.
 */
public class QueryEvaluationErrorException
   extends Exception
{
   /**
    * Creates a new {@link QueryEvaluationErrorException} object.
    *
    * @param message DOCUMENT_ME
    */
   public QueryEvaluationErrorException( String message )
   {
      super( message );
   }

   /**
    * Creates a new {@link QueryEvaluationErrorException} object.
    *
    * @param cause DOCUMENT_ME
    */
   public QueryEvaluationErrorException( Throwable cause )
   {
      super( cause );
   }

   /**
    * Creates a new {@link QueryEvaluationErrorException} object.
    *
    * @param message DOCUMENT_ME
    * @param cause   DOCUMENT_ME
    */
   public QueryEvaluationErrorException( String    message,
                                         Throwable cause )
   {
      super( message, cause );
   }
}