package org.apache.ws.resource.properties.v1_2_draft05.impl;

import org.apache.axis.message.addressing.Constants;
import org.apache.ws.resource.faults.v1_2_draft03.Faults1_2Constants;
import org.apache.ws.resource.lifetime.v1_2_draft04.ResourceLifetime1_2Constants;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.v1_2_draft05.ResourcePropertiesConstants;
import org.apache.ws.resource.servicegroup.v1_2_draft03.ServiceGroup1_2Constants;


/**
 * @author Sal Campana
 */
public class NamespaceVersionHolderImpl implements NamespaceVersionHolder
{

    public String getPropertiesXsdNamespace()
    {
        return ResourcePropertiesConstants.NSURI_WSRP_SCHEMA;
    }

    public String getLifetimeXsdNamespace()
    {
        return ResourceLifetime1_2Constants.NSURI_WSRL_SCHEMA;
    }

    public String getBaseFaultsXsdNamespace()
    {
        return Faults1_2Constants.NSURI_BASEFAULTS_SCHEMA;
    }

    public String getAddressingNamespace()
    {
        return Constants.NS_URI_ADDRESSING_2004_08;
    }

    public String getServiceGroupsXsdNamespace()
    {
        return ServiceGroup1_2Constants.NSURI_WSSG_SCHEMA;
    }
}
