/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v1_2_draft05.porttype;

import org.apache.ws.resource.properties.v1_2_draft05.ResourcePropertiesConstants;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.SetResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.SetResourcePropertiesResponseDocument;

import javax.xml.namespace.QName;

/**
 * The WSRF-RP SetResourceProperties portType.
 *
 * @author Ian P. Springer (Hewlett-Packard Company)
 */
public interface SetResourcePropertiesPortType
{
    QName NAME = new QName( ResourcePropertiesConstants.NSURI_WSRP_WSDL, "SetResourceProperties", ResourcePropertiesConstants.NSPREFIX_WSRP_SCHEMA );

    /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   SetResourcePropertiesResponseDocument setResourceProperties( SetResourcePropertiesDocument requestDoc );
}