/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.soap;


/**
 * Constants related to SAAJ ({@link javax.xml.soap}) APIs.
 *
 * @author Ian P. Springer
 */
public interface SaajConstants
{
   /** DOCUMENT_ME */
   String IMPL_MESSAGE_FACTORY_AXIS = "org.apache.axis.soap.MessageFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_MESSAGE_FACTORY_SUN = "com.sun.xml.messaging.saaj.soap.MessageFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_MESSAGE_FACTORY_WEBLOGIC = "weblogic.webservice.core.soap.MessageFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_CONNECTION_FACTORY_AXIS = "org.apache.axis.soap.SOAPConnectionFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_CONNECTION_FACTORY_SUN = "com.sun.xml.messaging.saaj.soap.SOAPConnectionFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_CONNECTION_FACTORY_WEBLOGIC = "weblogic.webservice.core.soap.SOAPConnectionFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_ELEMENT_FACTORY_AXIS = "org.apache.axis.soap.SOAPElementFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_ELEMENT_FACTORY_SUN = "com.sun.xml.messaging.saaj.soap.SOAPElementFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_ELEMENT_FACTORY_WEBLOGIC = "weblogic.webservice.core.soap.SOAPElementFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_FACTORY_AXIS = "org.apache.axis.soap.SOAPFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_FACTORY_SUN = "com.sun.xml.messaging.saaj.soap.SOAPFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SOAP_FACTORY_WEBLOGIC = "weblogic.webservice.core.soap.SOAPFactoryImpl";

   /** DOCUMENT_ME */
   String SYSPROP_MESSAGE_FACTORY = "javax.xml.soap.MessageFactory";

   /** DOCUMENT_ME */
   String SYSPROP_SOAP_CONNECTION_FACTORY = "javax.xml.soap.SOAPConnectionFactory";

   /** DOCUMENT_ME */
   String SYSPROP_SOAP_ELEMENT_FACTORY = "javax.xml.soap.SOAPElementFactory";

   /** DOCUMENT_ME */
   String SYSPROP_SOAP_FACTORY = "javax.xml.soap.SOAPFactory";
}