/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.test.axis;


/**
 * For running tests against an Axis instance running in another JVM (i.e. under Tomcat).
 *
 * @author Ian P. Springer
 */
public abstract class AbstractNoAxisTestCase
   extends AbstractAxisTestCase
{
   /**
    * Context is wsrf when not running under a {@link org.apache.axis.transport.http.SimpleAxisServer}.
    *
    * @return "wsrf"
    */
   protected String getAxisContextName(  )
   {
      return "wsrf";
   }
}