package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.resource.faults.BaseFaultException;
import org.apache.ws.resource.faults.AbstractBaseFaultException;
import org.apache.ws.resource.properties.NamespaceVersionHolder;

import javax.xml.namespace.QName;

/**
 * Created by IntelliJ IDEA.
 * User: sacam
 * Date: Mar 1, 2005
 * Time: 9:19:17 AM
 * To change this template use File | Settings | File Templates.
 */
public class ClientErrorNotPossibleFaultException extends AbstractBaseFaultException{

    /**
     * Constructs a new ClientErrorNotPossibleFaultException with the specified name. The SOAP fault code will be set to soap:Client and
     * the SOAP fault string will be set to the fault name. Sets the timestamp field to the current time and the SOAP
     * actor and detail fields to null.
     *
     * @param namespaces
     */
    public ClientErrorNotPossibleFaultException(NamespaceVersionHolder namespaces, String message) {
        super(namespaces, message);
    }

    public QName getBaseFaultName()
    {
        return new QName( PrinterPortPropertyQNames.PRINTER_STATE.getNamespaceURI(), "client_error_not_possibleFault",
                    "wsrf-prw" );
    }
}
