/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import javax.xml.namespace.QName;

/**
 * QNames of the resource properties defined by JobPort WSDL.
 * <p/>
 * NOTE: This class is generated and is NOT meant to be modified.
 *
 */
public interface JobPortPropertyQNames
{
   /** DOCUMENT_ME */
   QName JOB_NAME =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "job_name", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName TERMINATIONTIME = new QName( "", "TerminationTime", "wsrf-rl" );

   /** DOCUMENT_ME */
   QName JOB_REFERENCE =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "job_reference",
                 "wsrf-pr" );

   /** DOCUMENT_ME */
   QName JOB_ORIGINATING_USER_NAME =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd",
                 "job_originating_user_name", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName JOB_STATE =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "job_state", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName JOB_ID =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "job_id", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName CURRENTTIME = new QName( "", "CurrentTime", "wsrf-rl" );

   /** DOCUMENT_ME */
   QName JOB_PRINTER_REFERENCE =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "job_printer_reference",
                 "wsrf-pr" );
}