package org.oasisOpen.docs.wsrf;

import junit.framework.TestCase;


/**
 * @author Sal Campana
 */
public class BScenarios extends TestCase
{
    public void testBScenarios() throws Exception
    {
        InteropTestCase testCase = new InteropTestCase();
        testCase.setUp();
        testCase.createPrinter();

        testCase.testUpdateResourceProperties_SCENARIO_B1();
        testCase.testFailInsertResourceProps_SCENARIO_B1_FAIL();
        testCase.testSetResourceProperties_SCENARIO_B2();
        testCase.testMultiSetResourceProps_SCENARIO_B3();
        testCase.testFailMultiSetResourceProps_SCENARIO_B3_VARIANT();
        testCase.testResetToInitialState_SCENARIO_B3_RESET();
        testCase.tearDown();
    }


}
