package org.apache.ws.util.jndi;




/**    LOG-DONE
 * A bean to hold default values for Service parameters in the JNDI config file.
 *
 * @author Sal Campana
 */
public class DefaultParameters
{
    private String m_defaultFactory = org.apache.ws.util.jndi.BeanFactory.class.getName();

    private String m_defaultResourceKeyClassName = org.apache.ws.resource.impl.SimpleTypeResourceKey.class.getName();

    public String getFactory()
    {
        return m_defaultFactory;
    }

    public void setFactory(String defaultFactory)
    {
        m_defaultFactory = defaultFactory;
    }

    public String getResourceKeyClassName()
    {
        return m_defaultResourceKeyClassName;
    }

    public void setResourceKeyClassName(String resourceKeyClassName)
    {
        m_defaultResourceKeyClassName = resourceKeyClassName;
    }
}
