/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jndi.tools;


/**    LOG-DONE
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.4 $
 */
public class Environment
{
   private String description = null;
   private String name  = null;
   private String type  = null;
   private String value = null;

   /**
    * @param description The description to set.
    */
   public void setDescription( String description )
   {
      this.description = description;
   }

   /**
    * @return Returns the description.
    */
   public String getDescription(  )
   {
      return description;
   }

   /**
    * @param name The name to set.
    */
   public void setName( String name )
   {
      this.name = name;
   }

   /**
    * @return Returns the name.
    */
   public String getName(  )
   {
      return name;
   }

   /**
    * @param type The type to set.
    */
   public void setType( String type )
   {
      this.type = type;
   }

   /**
    * @return Returns the type.
    */
   public String getType(  )
   {
      return type;
   }

   /**
    * @param value The value to set.
    */
   public void setValue( String value )
   {
      this.value = value;
   }

   /**
    * @return Returns the value.
    */
   public String getValue(  )
   {
      return value;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String toString(  )
   {
      StringBuffer out = new StringBuffer(  );
      out.append( "        <environment name=\"" );
      out.append( this.name );
      out.append( "\" \r\n" );
      out.append( "                     type=\"" );
      out.append( this.type );
      out.append( "\"\r\n" );
      out.append( "                     value=\"" );
      out.append( this.value );
      out.append( "\"/>\r\n" );
      return out.toString(  );
   }
}