/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jndi.tools;


/**  LOG-DONE
 * DOCUMENT_ME
 *
 * @author $author$
 * @version $Revision: 1.4 $
 */
public class ResourceLink
{
   private String target = null;
   private String name = null;

   /**
    * @param name The name to set.
    */
   public void setName( String name )
   {
      this.name = name;
   }

   /**
    * @return Returns the name.
    */
   public String getName(  )
   {
      return name;
   }

   /**
    * @param target The target to set.
    */
   public void setTarget( String target )
   {
      this.target = target;
   }

   /**
    * @return Returns the target.
    */
   public String getTarget(  )
   {
      return target;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String toString(  )
   {
      StringBuffer out = new StringBuffer(  );
      out.append( "        <resourceLink name=\"" );
      out.append( this.name );
      out.append( "\" \r\n" );
      out.append( "                      target=\"" );
      out.append( this.target );
      out.append( "\"/>\r\n" );
      return out.toString(  );
   }
}