/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.rpc;


/**
 * Constants related to JAX-RPC ({@link javax.xml.rpc}) APIs.
 *
 * @author Ian P. Springer
 */
public interface JaxRpcConstants
{
   /** DOCUMENT_ME */
   String IMPL_SERVICE_FACTORY_AXIS = "org.apache.axis.client.ServiceFactory";

   /** DOCUMENT_ME */
   String IMPL_SERVICE_FACTORY_SUN = "com.sun.xml.rpc.client.ServiceFactoryImpl";

   /** DOCUMENT_ME */
   String IMPL_SERVICE_FACTORY_WEBLOGIC = "weblogic.webservice.core.rpc.ServiceFactoryImpl";

   /** DOCUMENT_ME */
   String SYSPROP_SERVICE_FACTORY = "javax.xml.rpc.ServiceFactory";
}