/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import javax.xml.namespace.QName;

/**
 * QNames of the resource properties defined by PrinterPort WSDL.
 * <p/>
 * NOTE: This class is generated and is NOT meant to be modified.
 *
 */
public interface PrinterPortPropertyQNames
{
   /** DOCUMENT_ME */
   QName PRINTER_STATE =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "printer_state",
                 "wsrf-pr" );

   /** DOCUMENT_ME */
   QName PRINTER_NAME =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "printer_name", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName JOB_PROPERTIES =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "job_properties",
                 "wsrf-pr" );

   /** DOCUMENT_ME */
   QName DOCUMENT_FORMAT_SUPPORTED =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd",
                 "document_format_supported", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName JOB_HOLD_UNTIL_SUPPORTED =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd",
                 "job_hold_until_supported", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName QUEUED_JOB_COUNT =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "queued_job_count",
                 "wsrf-pr" );

   /** DOCUMENT_ME */
   QName JOB_HOLD_UNTIL_DEFAULT =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd",
                 "job_hold_until_default", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName OPERATIONS_SUPPORTED =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "operations_supported",
                 "wsrf-pr" );

   /** DOCUMENT_ME */
   QName PRINTER_IS_ACCEPTING_JOBS =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd",
                 "printer_is_accepting_jobs", "wsrf-pr" );

   /** DOCUMENT_ME */
   QName PRINTER_REFERENCE =
      new QName( "http://docs.oasis-open.org/wsrf/2005/01/wsrf-Interop-2.0-draft-03.xsd", "printer_reference",
                 "wsrf-pr" );
}