package example.filesystem.backend;

import java.util.List;

/**
 * @author Sal Campana
 */
public interface FileSystem
{
    String getDeviceSpecialFile();

    String getMountPoint();

    void setMountPoint(String mountDir);

    String getType();

    int getBackupFrequency();

    void setBackupFrequency(int backupFrequency);

    List getOptions();

    void setOptions(List options);

    String getComment();

    void setComment(String comment);

    int getFsckPassNumber();

    void setFsckPassNumber(int fsckPassNumber);
}
